// A library to parallelize code on Tilera TILE-Gx easily.
// Written by Nils Liaaen Corneliusen 2014.
// License: CC0 1.0 Universal (CC0 1.0) Public Domain Dedication license
// Please refer to the article at https://www.ignorantus.com/pages/tilegx_bilinear/ for more information.

#ifndef PARH
#define PARH

#define DATA_LEN_MAX ((126-2)*8)

int par_init( unsigned int cores );
void par_shutdown( void );

void par_sendjob( void *func, void *data, unsigned int len );
void par_wait( void );
void par_set_cores( unsigned int cores );

#endif
