// A bilinear scaler for Tilera TILE-Gx.
// Written by Nils Liaaen Corneliusen 2014.
// License: CC0 1.0 Universal (CC0 1.0) Public Domain Dedication license
// Please refer to the article at https://www.ignorantus.com/pages/tilegx_bilinear/ for more information.

#ifndef SCALERH
#define SCALERH

#include "bmp.h"

void scale_bilinear( bmp_argb *src, bmp_argb *dst, unsigned int startrow, unsigned int height );
void scale_bilinear_parallel( bmp_argb *src, bmp_argb *dst, unsigned int lines );

void scale_bilinear_parallel_2pass( bmp_argb *src, bmp_argb *dst, unsigned int lines );

#endif
